from metadata.sdk import configureimport requestsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# Get by IDresponse = requests.get( "https://your-company.getcollate.io/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd", headers={"Authorization": "Bearer your-jwt-token"})service = response.json()print(f"{service['fullyQualifiedName']}: {service['serviceType']}")# Get by fully qualified nameresponse = requests.get( "https://your-company.getcollate.io/api/v1/services/dashboardServices/name/sample_looker", headers={"Authorization": "Bearer your-jwt-token"})# Get by name with fieldsresponse = requests.get( "https://your-company.getcollate.io/api/v1/services/dashboardServices/name/sample_looker?fields=owners,tags,domains", headers={"Authorization": "Bearer your-jwt-token"})
import org.openmetadata.schema.entity.services.DashboardService;import org.openmetadata.sdk.fluent.DashboardServices;// client is an initialized OpenMetadataClient.DashboardServices.setDefaultClient(client);// Get by IDDashboardService service = DashboardServices.retrieve("2c0c7c05-d820-4bea-a471-047deb7f92fd");// Get by ID with fieldsDashboardService serviceWithFields = DashboardServices.retrieve( "2c0c7c05-d820-4bea-a471-047deb7f92fd", "owners,tags,domains");// Get by fully qualified nameDashboardService serviceByName = DashboardServices.retrieveByName("sample_looker");// Get by name with fieldsDashboardService serviceByNameWithFields = DashboardServices.retrieveByName("sample_looker", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/services/dashboardServices/name/sample_looker" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/services/dashboardServices/name/sample_looker?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"
Retrieve a dashboard service connection by UUID or fully qualified name with optional field expansion for configuration and metadata using the Collate REST API.
GET
/
v1
/
services
/
dashboardServices
/
{id}
GET /v1/services/dashboardServices/{id}
from metadata.sdk import configureimport requestsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# Get by IDresponse = requests.get( "https://your-company.getcollate.io/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd", headers={"Authorization": "Bearer your-jwt-token"})service = response.json()print(f"{service['fullyQualifiedName']}: {service['serviceType']}")# Get by fully qualified nameresponse = requests.get( "https://your-company.getcollate.io/api/v1/services/dashboardServices/name/sample_looker", headers={"Authorization": "Bearer your-jwt-token"})# Get by name with fieldsresponse = requests.get( "https://your-company.getcollate.io/api/v1/services/dashboardServices/name/sample_looker?fields=owners,tags,domains", headers={"Authorization": "Bearer your-jwt-token"})
import org.openmetadata.schema.entity.services.DashboardService;import org.openmetadata.sdk.fluent.DashboardServices;// client is an initialized OpenMetadataClient.DashboardServices.setDefaultClient(client);// Get by IDDashboardService service = DashboardServices.retrieve("2c0c7c05-d820-4bea-a471-047deb7f92fd");// Get by ID with fieldsDashboardService serviceWithFields = DashboardServices.retrieve( "2c0c7c05-d820-4bea-a471-047deb7f92fd", "owners,tags,domains");// Get by fully qualified nameDashboardService serviceByName = DashboardServices.retrieveByName("sample_looker");// Get by name with fieldsDashboardService serviceByNameWithFields = DashboardServices.retrieveByName("sample_looker", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/services/dashboardServices/name/sample_looker" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/services/dashboardServices/name/sample_looker?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"
Get a single dashboard service by its unique ID or fully qualified name.
Get by ID
string
required
UUID of the dashboard service to retrieve.
string
Comma-separated list of fields to include, for example owners,tags,domains.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
Get by Fully Qualified Name
Use GET /v1/services/dashboardServices/name/{fqn} to retrieve by fully qualified name.
string
required
Fully qualified name of the dashboard service, for example sample_looker.
string
Comma-separated list of fields to include: owners, tags, domains.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
GET /v1/services/dashboardServices/{id}
from metadata.sdk import configureimport requestsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# Get by IDresponse = requests.get( "https://your-company.getcollate.io/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd", headers={"Authorization": "Bearer your-jwt-token"})service = response.json()print(f"{service['fullyQualifiedName']}: {service['serviceType']}")# Get by fully qualified nameresponse = requests.get( "https://your-company.getcollate.io/api/v1/services/dashboardServices/name/sample_looker", headers={"Authorization": "Bearer your-jwt-token"})# Get by name with fieldsresponse = requests.get( "https://your-company.getcollate.io/api/v1/services/dashboardServices/name/sample_looker?fields=owners,tags,domains", headers={"Authorization": "Bearer your-jwt-token"})
import org.openmetadata.schema.entity.services.DashboardService;import org.openmetadata.sdk.fluent.DashboardServices;// client is an initialized OpenMetadataClient.DashboardServices.setDefaultClient(client);// Get by IDDashboardService service = DashboardServices.retrieve("2c0c7c05-d820-4bea-a471-047deb7f92fd");// Get by ID with fieldsDashboardService serviceWithFields = DashboardServices.retrieve( "2c0c7c05-d820-4bea-a471-047deb7f92fd", "owners,tags,domains");// Get by fully qualified nameDashboardService serviceByName = DashboardServices.retrieveByName("sample_looker");// Get by name with fieldsDashboardService serviceByNameWithFields = DashboardServices.retrieveByName("sample_looker", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/services/dashboardServices/name/sample_looker" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/services/dashboardServices/name/sample_looker?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"